Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class LegendGraphic

    java.lang.Object
      org.deegree.graphics.sld.LegendGraphic

All Implemented Interfaces:
  Marshallable

    public class LegendGraphic

extends Object
implements Marshallable

The LegendGraphic element gives an optional explicit Graphic symbol to be displayed in a legend for this rule.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`LegendGraphic()` default constructor
`LegendGraphic(Graphic graphic)` constructor initializing the class with the

Method Summary
`String` | `exportAsXML()` exports the content of the Font as XML formated String
`Graphic` | `getGraphic()` A Graphic is a graphic symbol with an inherent shape, color(s), and possibly size.
`void` | `setGraphic(Graphic graphic)` sets the

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegendGraphic

    LegendGraphic()

  default constructor

### LegendGraphic

    LegendGraphic(Graphic graphic)

  constructor initializing the class with the

  Parameters:
    `graphic` -

Method Detail

### getGraphic

    public Graphic getGraphic()

  A Graphic is a graphic symbol with an inherent shape, color(s), and possibly size. A graphic can be very informally defined as a little picture and can be of either a raster or vector-graphic source type. The term graphic is used since the term symbol is similar to symbolizer which is used in a different context in SLD.

  Returns:
    graphic

### setGraphic

    public void setGraphic(Graphic graphic)

  sets the

  Parameters:
    `graphic` -

### exportAsXML

    public String exportAsXML()

  exports the content of the Font as XML formated String

  Specified by:
    `exportAsXML` in interface `Marshallable`
  Returns:
    xml representation of the Font

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org